{*******************************************************}
{*                                                     *}
{*      Pro VCL Extensions Library                     *}
{*      Common Include File                            *}
{*                                                     *}
{*      Copyright (c) 1996-98 by Dmitry G. Barabash    *}
{*                                                     *}
{*******************************************************}


    { Compiler version definitions }

{$IFDEF VER80}
  {$DEFINE DELPHI_1}
  {$DEFINE VCL_1}
{$ENDIF}

{$IFDEF VER90}
  {$DEFINE DELPHI_2}
  {$DEFINE VCL_2}
{$ENDIF}

{$IFDEF VER93}
  {$DEFINE CBUILDER_1}
  {$DEFINE CBUILDER}
  {$DEFINE VCL_2}
{$ENDIF}

{$IFDEF VER100}
  {$DEFINE DELPHI_3}
  {$DEFINE VCL_3}
{$ENDIF}

{$IFDEF VER110}
  {$IFDEF BCB}
    {$DEFINE CBUILDER_3}
    {$DEFINE CBUILDER}
    {$DEFINE VCL_3}
  {$ENDIF}
{$ENDIF}

{$IFDEF VER120}
  {$DEFINE DELPHI_4}
  {$DEFINE VCL_4}
{$ENDIF}


    { Definition to compile ProCheckListBox component }

{$IFNDEF DELPHI_3}
  {$IFNDEF CBUILDER_3}
    {$IFNDEF DELPHI_4}
      {$DEFINE OWN_CHECKLISTBOX}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}



{*******************************************************}
{*                                                     *}
{*      Definitions for Delphi 1.0                     *}
{*                                                     *}
{*******************************************************}

{$IFDEF DELPHI_1}

    { Code generation directives }

  {$F-}   { Force far calls }
  {$G+}   { 286 instructions }
  {$N+}   { Numeric coprocessor }

  {$A+}   { Word align data }
  {$K-}   { Smart callbacks }
  {$U+}   { Pentium-safe FDIV }
  {$W-}   { Windows stack frame }
  {$Z-}   { Size enumerated types }

    { Debugging and runtime errors directives }

  {$D-}   { Debug information }
  {$L-}   { Local symbols }
  {$I+}   { Input/Output checking }
  {$Q-}   { Overflow checking }
  {$R-}   { Range checking }
  {$S-}   { Stack overflow checking }
  {$Y-}   { Symbol info }

    { Syntax options }

  {$B-}   { Complete boolean evaluation }
  {$P+}   { Open parameters }
  {$T-}   { Typed @ operator }
  {$V-}   { Var-string checking }
  {$X+}   { Extended syntax }

    { Code segment attributes }

  {$IFDEF CONTROLS}
    {$C PRELOAD}
  {$ELSE}
    {$IFNDEF WIN32}
      {$C MOVEABLE DEMANDLOAD DISCARDABLE}
    {$ENDIF}
  {$ENDIF}

{$ENDIF}



{*******************************************************}
{*                                                     *}
{*      Definitions for Delphi 2.0                     *}
{*                                                     *}
{*******************************************************}

{$IFDEF DELPHI_2}

    { Code generation directives }

  {$OPTIMIZATION ON}       { Optimization               ($O+) }
  {$ALIGN ON}              { Aligned rocord fields      ($A+) }
  {$K-}                    { Smart callbacks                  }   // ???
  {$SAFEDIVIDE ON}         { Pentium-safe FDIV          ($U+) }
  {$STACKFRAMES OFF}       { Windows stack frame        ($W-) }
  {$MINENUMSIZE 1}         { Size enumerated types      ($Z-) }

    { Debugging and runtime errors directives }

  {$DEBUGINFO OFF}         { Debug information           ($D-) }
  {$LOCALSYMBOLS OFF}      { Local symbols               ($L-) }
  {$IOCHECKS ON}           { Input/Output checking       ($I+) }
  {$OVERFLOWCHECKS OFF}    { Overflow checking           ($Q-) }
  {$RANGECHECKS OFF}       { Range checking              ($R-) }
  {$REFERENCEINFO OFF}     { Symbol info                 ($Y-) }
  {$S-}                    { Stack overflow checking           }

    { Syntax options }

  {$BOOLEVAL OFF}          { Complete boolean evaluation ($B-) }
  {$WRITEABLECONST OFF}    { Writeable typed constants   ($J-) }
  {$OPENSTRINGS ON}        { Open parameters             ($P+) }
  {$TYPEDADDRESS OFF}      { Typed @ operator            ($T-) }
  {$LONGSTRINGS ON}        { Long strings                ($H+) }
  {$VARSTRINGCHECKS OFF}   { Var-string checking         ($V-) }
  {$EXTENDEDSYNTAX ON}     { Extended syntax             ($X+) }

    { Code segment attribute }

  {$IFDEF CONTROLS}
    {$C PRELOAD}
  {$ENDIF}

{$ENDIF}



{*******************************************************}
{*                                                     *}
{*      Definitions for Delphi 3.0                     *}
{*                                                     *}
{*******************************************************}

{$IFDEF DELPHI_3}

    { Code generation directives }

  {$OPTIMIZATION ON}       { Optimization               ($O+) }
  {$ALIGN ON}              { Aligned rocord fields      ($A+) }
  {$SAFEDIVIDE ON}         { Pentium-safe FDIV          ($U+) }
  {$STACKFRAMES OFF}       { Windows stack frame        ($W-) }
  {$MINENUMSIZE 1}         { Size enumerated types      ($Z-) }

    { Debugging and runtime errors directives }

  {$DEBUGINFO OFF}         { Debug information           ($D-) }
  {$LOCALSYMBOLS OFF}      { Local symbols               ($L-) }
  {$IOCHECKS ON}           { Input/Output checking       ($I+) }
  {$OVERFLOWCHECKS OFF}    { Overflow checking           ($Q-) }
  {$RANGECHECKS OFF}       { Range checking              ($R-) }
  {$REFERENCEINFO OFF}     { Symbol info                 ($Y-) }
  {$ASSERTIONS ON}         { Assertions                  ($C+) }

    { Syntax options }

  {$BOOLEVAL OFF}          { Complete boolean evaluation ($B-) }
  {$WRITEABLECONST OFF}    { Writeable typed constants   ($J-) }
  {$OPENSTRINGS ON}        { Open parameters             ($P+) }
  {$TYPEDADDRESS OFF}      { Typed @ operator            ($T-) }
  {$LONGSTRINGS ON}        { Long strings                ($H+) }
  {$VARSTRINGCHECKS OFF}   { Var-string checking         ($V-) }
  {$EXTENDEDSYNTAX ON}     { Extended syntax             ($X+) }


    { Code segment attribute }

  {$IFDEF CONTROLS}
    {$C PRELOAD}
  {$ENDIF}

{$ENDIF}



{*******************************************************}
{*                                                     *}
{*      Definitions for Delphi 4.0                     *}
{*                                                     *}
{*******************************************************}

{$IFDEF DELPHI_4}

    { Code generation directives }

  {$OPTIMIZATION ON}       { Optimization               ($O+) }
  {$ALIGN ON}              { Aligned rocord fields      ($A+) }
  {$SAFEDIVIDE ON}         { Pentium-safe FDIV          ($U+) }
  {$STACKFRAMES OFF}       { Windows stack frame        ($W-) }
  {$MINENUMSIZE 1}         { Size enumerated types      ($Z-) }

    { Debugging and runtime errors directives }

  {$DEBUGINFO OFF}         { Debug information           ($D-) }
  {$LOCALSYMBOLS OFF}      { Local symbols               ($L-) }
  {$IOCHECKS ON}           { Input/Output checking       ($I+) }
  {$OVERFLOWCHECKS OFF}    { Overflow checking           ($Q-) }
  {$RANGECHECKS OFF}       { Range checking              ($R-) }
  {$REFERENCEINFO OFF}     { Symbol info                 ($Y-) }
  {$ASSERTIONS ON}         { Assertions                  ($C+) }

    { Syntax options }

  {$BOOLEVAL OFF}          { Complete boolean evaluation ($B-) }
  {$WRITEABLECONST OFF}    { Writeable typed constants   ($J-) }
  {$OPENSTRINGS ON}        { Open parameters             ($P+) }
  {$TYPEDADDRESS OFF}      { Typed @ operator            ($T-) }
  {$LONGSTRINGS ON}        { Long strings                ($H+) }
  {$VARSTRINGCHECKS OFF}   { Var-string checking         ($V-) }
  {$EXTENDEDSYNTAX ON}     { Extended syntax             ($X+) }


    { Code segment attribute }

  {$IFDEF CONTROLS}
    {$C PRELOAD}
  {$ENDIF}

{$ENDIF}



{*******************************************************}
{*                                                     *}
{*      Definitions for C++Builder 1.0                 *}
{*                                                     *}
{*******************************************************}

{$IFDEF CBUILDER_1}

    { Code generation directives }

  {$OPTIMIZATION ON}       { Optimization               ($O+) }
  {$ALIGN ON}              { Aligned rocord fields      ($A+) }
  {$K-}                    { Smart callbacks                  }   // ???
  {$SAFEDIVIDE ON}         { Pentium-safe FDIV          ($U+) }
  {$STACKFRAMES OFF}       { Windows stack frame        ($W-) }
  {$MINENUMSIZE 1}         { Size enumerated types      ($Z-) }

    { Debugging and runtime errors directives }

  {$DEBUGINFO OFF}         { Debug information           ($D-) }
  {$LOCALSYMBOLS ON}       { Local symbols               ($L+) }
  {$IOCHECKS ON}           { Input/Output checking       ($I+) }
  {$OVERFLOWCHECKS OFF}    { Overflow checking           ($Q-) }
  {$RANGECHECKS OFF}       { Range checking              ($R-) }
  {$REFERENCEINFO OFF}     { Symbol info                 ($Y-) }
  {$S-}                    { Stack overflow checking           }

    { Syntax options }

  {$BOOLEVAL OFF}          { Complete boolean evaluation ($B-) }
  {$WRITEABLECONST OFF}    { Writeable typed constants   ($J-) }
  {$OPENSTRINGS ON}        { Open parameters             ($P+) }
  {$TYPEDADDRESS OFF}      { Typed @ operator            ($T-) }
  {$LONGSTRINGS ON}        { Long strings                ($H+) }
  {$VARSTRINGCHECKS OFF}   { Var-string checking         ($V-) }
  {$EXTENDEDSYNTAX ON}     { Extended syntax             ($X+) }

    { Code segment attribute }

  {$IFDEF CONTROLS}
    {$C PRELOAD}
  {$ENDIF}

{$ENDIF}



{*******************************************************}
{*                                                     *}
{*      Definitions for C++Builder 3.0                 *}
{*                                                     *}
{*******************************************************}

{$IFDEF CBUILDER_3}

    { Code generation directives }

  {$ObjExportAll ON}       { Required for C++Builder 3.0      }
  {$OPTIMIZATION ON}       { Optimization               ($O+) }
  {$ALIGN ON}              { Aligned rocord fields      ($A+) }
  {$SAFEDIVIDE ON}         { Pentium-safe FDIV          ($U+) }
  {$STACKFRAMES OFF}       { Windows stack frame        ($W-) }
  {$MINENUMSIZE 1}         { Size enumerated types      ($Z-) }

    { Debugging and runtime errors directives }

  {$DEBUGINFO OFF}         { Debug information           ($D-) }
  {$LOCALSYMBOLS OFF}      { Local symbols               ($L-) }
  {$IOCHECKS ON}           { Input/Output checking       ($I+) }
  {$OVERFLOWCHECKS OFF}    { Overflow checking           ($Q-) }
  {$RANGECHECKS OFF}       { Range checking              ($R-) }
  {$REFERENCEINFO OFF}     { Symbol info                 ($Y-) }
  {$ASSERTIONS ON}         { Assertions                  ($C+) }

    { Syntax options }

  {$BOOLEVAL OFF}          { Complete boolean evaluation ($B-) }
  {$WRITEABLECONST OFF}    { Writeable typed constants   ($J-) }
  {$OPENSTRINGS ON}        { Open parameters             ($P+) }
  {$TYPEDADDRESS OFF}      { Typed @ operator            ($T-) }
  {$LONGSTRINGS ON}        { Long strings                ($H+) }
  {$VARSTRINGCHECKS OFF}   { Var-string checking         ($V-) }
  {$EXTENDEDSYNTAX ON}     { Extended syntax             ($X+) }


    { Code segment attribute }

  {$IFDEF CONTROLS}
    {$C PRELOAD}
  {$ENDIF}

{$ENDIF}
